Version of Redmine

Added by mujhahid karim about 10 years ago

Hi ALL

I would like to know, if I use one version of this system and after I want to upgrade to other version (0.8.X -> 2.0.X), I can do it without worrying about my database, the information that it saved, there will be no compatibility issue, problem of versions?

Replies (3)

RE: Version of Redmine - Added by William Roush about 10 years ago

Redmine has upgrade scripts that should date back to 0.8.x days, if you're worried (and you should do this anyway), backup your database and Redmine install (and if you need to do with minimal downtime, clone them and upgrade the clone).

RE: Version of Redmine - Added by Ivan Cenov about 10 years ago

It is possible if you use plugins, they to be not compatible with new Redmine. What is the right way to proceed with the plugins?

RE: Version of Redmine - Added by William Roush about 10 years ago

Ivan Cenov wrote:

It is possible if you use plugins, they to be not compatible with new Redmine. What is the right way to proceed with the plugins?

Check for updates from the author, if they don't exist, take a crack at upgrading them yourself, or drop them from your system.

(1-3/3)